# Uses of Class
org.apache.commons.math3.geometry.euclidean.threed.SubLine

Packages that use SubLine
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.

## Uses of SubLine in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return SubLine
Modifier and Type
Method
Description
`SubLine`
Line.`wholeLine()`
Build a sub-line covering the whole line.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type SubLine
Modifier and Type
Method
Description
`Vector3D`
SubLine.`intersection(SubLine subLine, boolean includeEndPoints)`
Get the intersection of the instance and another sub-line.